Package com.fasterxml.jackson.annotation

# Annotation Type JsonClassDescription

@Target({ANNOTATION_TYPE,TYPE}) @Retention(RUNTIME) @Documented public @interface JsonClassDescription
Annotation used to define a human-readable description for annotated type (class). Currently used to populate the description field in generated JSON Schemas.

Since:
  2.7

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Defines a human-readable description of the class.

## Element Details

### value

String value
Defines a human-readable description of the class.

Default:
  `""`